LDPD(8)

NAME
ldpd - Label Distribution Protocol Daemon

SYNOPSIS
ldpd [-DdfhW] [-c config_file] [-p port]

DESCRIPTION
ldpd is a utility used to automatically distribute labels between two MPLS LSRs conforming to RFC5036. Currently some features described by RFC5036 are not fully implemented (see BUGS section). ldpd supports peering with IPv6 LDP speakers and IPv6 labels exchange, conforming to specifications in RFC5036 and draft-ietf-mpls-ldp-ipv6.

ldpd logs information using the syslog(3) interface. You can increase the log verbosity using the -W and -D flags.

Administrators can use telnet(1) to connect to the control port (default: 2626) and use this interface in order to get informations about protocol status, neighbours et cetera but also to set runtime parameters. The password required for connecting is the same as the root password.

ldpd computes existing routes and tries to match them on MPLS labels announced by other LDP peers. This means that usual IP routes will be changed into tagged routes, and MPLS routing table will be populated. Any change in MPLS topology will also be announced to LDP neighbors. ldpd uses currently Independent Control Mapping and Downstream Unsolicited mode for Label Advertisment. ldpd will listen on a route socket and compute the necessary changes in order to change untagged routes into tagged routes. This means that one may use one's favourite dynamic routing protocol daemon without modifications.

The options are as follows:

-c config_file
    Specifies a path to the config file. Default: /etc/ldpd.conf - see ldpd.conf(5) for configuration file format.

-D  Enable debug mode.

-d  Don't use route interception code. ldpd will not make any changes to routing table if started with this option.

-f  Run in foreground. Use STDOUT for warning and debug messages.

-h  Outputs supported flags.

-p port
    Changes the TCP control port (default: 2626).

-W  Enable output of warning messages.

SEE ALSO
RFC, 5036, October 2007, LDP Specification. RFC, 3037, January 2001, LDP Applicability. DRAFT, draft-ietf-mpls-ldp-ipv6-07, June 2012, Updates to LDP for IPv6.

HISTORY
The ldpd command appeared in NetBSD 6.0.

BUGS
ldpd doesn't implement Path Vector and Hop Count TLVs.

SECURITY CONSIDERATIONS
As a security measure you SHOULD filter the LDP well-known (646) TCP and UDP ports using your favourite packet filter before starting ldpd. This is the current way used to filter neighbours and to protect the system from possible external attacks like route injections.